Subject: Unable to pull when using a pre-lzip version of guix-daemon

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 03 Oct 2022 22:47:52 +0200

I’d just like to note what I do when I’m finding myself in a situation
where I’m tempted to run “guix pull” from a very old version of Guix:

1. visit https://ci.guix.gnu.org and select the “guix” jobset.
2. select a recent successful evaluation, e.g. https://ci.guix.gnu.org/eval/686692
3. select a build for your architecture, e.g. https://ci.guix.gnu.org/build/1565155/details
4. copy the derivation, e.g. /gnu/store/z0zhkvvmnjaji1i6lan0gxdqxhkr59as-guix-17134b9ec.drv
5. run “guix build /gnu/store/z0zhkvvmnjaji1i6lan0gxdqxhkr59as-guix-17134b9ec.drv”; this very noisily substitutes
the derivation and eventually prints “/gnu/store/pl3vs9a35mb0zmmpqimsxvl8ddl1bn41-guix-17134b9ec”

You now have an inconveniently named, but very recent Guix!

If your guix-daemon is too old you can replace it with
/gnu/store/pl3vs9a35mb0zmmpqimsxvl8ddl1bn41-guix-17134b9ec/bin/guix-daemon;
then you run /gnu/store/pl3vs9a35mb0zmmpqimsxvl8ddl1bn41-guix-17134b9ec/bin/guix pull, which upgrades
your Guix at ~/.config/guix/current.

Hope this helps!

-- 
Ricardo